Package io.strimzi.systemtest.kafkaclients.internalClients

## Class VerifiableClient.VerifiableClientBuilder

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.internalClients.VerifiableClient.VerifiableClientBuilder

- Enclosing class:
    VerifiableClient

      public static class VerifiableClient.VerifiableClientBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VerifiableClientBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VerifiableClient.VerifiableClientBuilder` | `withBootstrapServer​(String bootstrapServer)` |
    `VerifiableClient.VerifiableClientBuilder` | `withClientType​(ClientType clientType)` |
    `VerifiableClient.VerifiableClientBuilder` | `withConsumerGroupName​(String consumerGroupName)` |
    `VerifiableClient.VerifiableClientBuilder` | `withConsumerInstanceId​(String consumerInstanceId)` |
    `VerifiableClient.VerifiableClientBuilder` | `withKafkaUsername​(String kafkaUsername)` |
    `VerifiableClient.VerifiableClientBuilder` | `withMaxMessages​(int maxMessages)` |
    `VerifiableClient.VerifiableClientBuilder` | `withPodNamespace​(String podNamespace)` |
    `VerifiableClient.VerifiableClientBuilder` | `withTopicName​(String topicName)` |
    `VerifiableClient.VerifiableClientBuilder` | `withUsingPodName​(String podName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VerifiableClientBuilder

          public VerifiableClientBuilder()

  - ### Method Detail

    - #### withClientType

          public VerifiableClient.VerifiableClientBuilder withClientType​(ClientType clientType)

    - #### withUsingPodName

          public VerifiableClient.VerifiableClientBuilder withUsingPodName​(String podName)

    - #### withPodNamespace

          public VerifiableClient.VerifiableClientBuilder withPodNamespace​(String podNamespace)

    - #### withBootstrapServer

          public VerifiableClient.VerifiableClientBuilder withBootstrapServer​(String bootstrapServer)

    - #### withTopicName

          public VerifiableClient.VerifiableClientBuilder withTopicName​(String topicName)

    - #### withMaxMessages

          public VerifiableClient.VerifiableClientBuilder withMaxMessages​(int maxMessages)

    - #### withKafkaUsername

          public VerifiableClient.VerifiableClientBuilder withKafkaUsername​(String kafkaUsername)

    - #### withConsumerGroupName

          public VerifiableClient.VerifiableClientBuilder withConsumerGroupName​(String consumerGroupName)

    - #### withConsumerInstanceId

          public VerifiableClient.VerifiableClientBuilder withConsumerInstanceId​(String consumerInstanceId)